This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123222 - xinetd can't start user defined rpc service
xinetd can't start user defined rpc service
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xinetd (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-13 18:32 EDT by Linda Lee
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-14 15:30:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
toto_server binary (17.03 KB, text/plain)
2004-05-13 18:34 EDT, Linda Lee
no flags Details

  None (edit)
Description Linda Lee 2004-05-13 18:32:23 EDT
Description of problem:


RHAS 3 FCS is installed on intel platform.

Linux test1 2.4.21-4.ELsmp #1 SMP Fri Oct 3 17:52:56 EDT 2003 i686
i686 i386 GNU/Linux


Configured a rpc service in /etc/xinetd.d and don't see this rpc
service is started by xinetd. But, when "rpcinfo -p", this rpc program
is registered.

# default: on
service toto_server
{
        disable = no
        type = RPC 
        socket_type = dgram
        wait = yes
        protocol = udp
        rpc_version = 1
        rpc_number = 100145
        user = root
        server = /etc/init.d/in.toto_server
}

# rpcinfo -p
...
    100145    1   udp  32777  toto_server

However, the rpc service can be started manually.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. add toto_server config file in /etc/xinetd.d
2. cp in.toto_server to /etc/init.d/
3. add a line "toto_server     100145" to /etc/rpc.
4. service xinetd restart
from /var/log/messages:

May 13 15:25:28 test1 xinetd: xinetd shutdown succeeded
May 13 15:25:28 test1 xinetd: xinetd startup succeeded
May 13 15:25:30 test1 xinetd[3928]: xinetd Version 2.3.12 started with
libwrap loadavg options compiled in.
May 13 15:25:30 test1 xinetd[3928]: Started working: 5 available services

ps -ef | grep toto
root      3961  3075  0 15:28 ttyS1    00:00:00 grep toto


  
Actual results:
I don't see toto_server is running.

Expected results:

toto_server should be running as it is started manually.

Additional info:
Comment 1 Linda Lee 2004-05-13 18:34:00 EDT
Created attachment 100224 [details]
toto_server binary
Comment 2 Jay Fenlason 2004-05-14 15:30:41 EDT
Xinetd never starts any servers until a client request for that
service is received, so no toto_server process will exist until a
client attempts to access it.
Comment 3 Linda Lee 2004-05-14 20:01:04 EDT
OK. Now I can see toto_server is started up by xinetd when a client
(toto_client) requests it.  But, the first run always get rpc timed
out as the toto_server is just started up and miss this request. 
However the subsequent runs are fine.  How do I handle this situation?

Note You need to log in before you can comment on or make changes to this bug.